Cyberduck Mountain Duck CLI

#1968 closed defect (fixed)

Problems opening Amazon S3 EU Buckets

Reported by: louis77@… Owned by: dkocher
Priority: normal Milestone: 3.0
Component: s3 Version: 3.0b2
Severity: critical Keywords: amazon s3 eu
Cc: Architecture:
Platform:

Description

When I try to open a S3 EU Bucket with more than 1000 items Cyberducks hangs. Please see crash report attached.

Attachments (1)

crashreport.rtf.zip (33.5 KB) - added by louis77@… on Apr 21, 2008 at 2:40:42 PM.
Crash Report

Download all attachments as: .zip

Change History (6)

Changed on Apr 21, 2008 at 2:40:42 PM by louis77@…

Crash Report

comment:1 Changed on Apr 21, 2008 at 3:55:34 PM by dkocher

  Thread id:      5f61f20
  User stack:
    22 -[NSOutlineView _expandItemEntry:expandChildren:startLevel:] + 1439 (in AppKit) [0x967fbb4f]
      22 -[NSOutlineView _expandItemEntryChildren:atStartLevel:expandChildren:andInvalidate:] + 865 (in AppKit) [0x966a612e]
        22 -[NSOutlineView _expandItemEntry:expandChildren:startLevel:] + 1439 (in AppKit) [0x967fbb4f]
          22 -[NSOutlineView _expandItemEntryChildren:atStartLevel:expandChildren:andInvalidate:] + 865 (in AppKit) [0x966a612e]
            22 -[NSOutlineView _expandItemEntry:expandChildren:startLevel:] + 1439 (in AppKit) [0x967fbb4f]
              22 -[NSOutlineView _expandItemEntryChildren:atStartLevel:expandChildren:andInvalidate:] + 865 (in AppKit) [0x966a612e]
                22 -[NSOutlineView _expandItemEntry:expandChildren:startLevel:] + 1439 (in AppKit) [0x967fbb4f]
                  22 -[NSOutlineView _expandItemEntryChildren:atStartLevel:expandChildren:andInvalidate:] + 865 (in AppKit) [0x966a612e]

comment:2 Changed on Apr 21, 2008 at 10:12:28 PM by dkocher

  • Status changed from new to assigned

Can you try a nightly build from http://update.cyberduck.ch/nightly with a revision r3830 or later.

comment:3 Changed on Apr 22, 2008 at 5:38:49 AM by louis77@…

I've tried it with build 3834. EU Buckets can now be opened, but I always get a "Invalid certifiate error für *.s3.amazonaws.com". There is another strange behaviour. Let's assume the buckets name is "bucket.domain.com". When I open it, I see all the files and folders AND a folder with the same name than the bucket "bucket.domain.com". When I open it, CrushFTP hangs.

comment:4 Changed on May 1, 2008 at 5:13:37 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:5 Changed on Dec 27, 2008 at 5:08:02 PM by dkocher

  • Component changed from amazon-s3 to s3
Note: See TracTickets for help on using tickets.
swiss made software